Bug 858765 - Unexpected HTTP status code: 400
Unexpected HTTP status code: 400
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Marko
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 12:00 EDT by Mikhail
Modified: 2016-01-31 21:22 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 20:15:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (113.91 KB, image/png)
2012-09-19 12:00 EDT, Mikhail
no flags Details
400 error from retrace server (6.14 KB, text/plain)
2012-09-20 12:35 EDT, Luke Macken
no flags Details

  None (edit)
Description Mikhail 2012-09-19 12:00:34 EDT
Created attachment 614446 [details]
screenshot

Description of problem:
--- Running report_uReport ---
Unexpected HTTP status code: 400
(exited with 1)


$ rpm -qa | grep abrt | sort
abrt-2.0.12-1.fc18.i686
abrt-addon-ccpp-2.0.12-1.fc18.i686
abrt-addon-kerneloops-2.0.12-1.fc18.i686
abrt-addon-python-2.0.12-1.fc18.i686
abrt-addon-vmcore-2.0.12-1.fc18.i686
abrt-addon-xorg-2.0.12-1.fc18.i686
abrt-dbus-2.0.12-1.fc18.i686
abrt-desktop-2.0.12-1.fc18.i686
abrt-gui-2.0.12-1.fc18.i686
abrt-libs-2.0.12-1.fc18.i686
abrt-plugin-bodhi-2.0.12-1.fc18.i686
abrt-retrace-client-2.0.12-1.fc18.i686
Comment 1 Jakub Filak 2012-09-20 04:25:54 EDT
Thank you for filling this bug. We have already fixed handling of HTTP codes. A next release of the libreport should print a better error message.

To be completely sure we fixed this bug correctly, please run 'abrt -vvv', report your bug again and send us the log.
Comment 2 Luke Macken 2012-09-20 12:35:21 EDT
Created attachment 614983 [details]
400 error from retrace server

I just experienced this error with abrt-2.0.12-1.fc18.x86_64

2012-09-20-12:24:04  after curl_easy_perform: http code 400 body:'{"error": "Validation failed: error validating 'installed_package': missing mandatory element 'release'"}'
Comment 3 Mikhail 2012-09-20 22:59:24 EDT
'abrt -vvv' not work for me.

Demonstration video: https://docs.google.com/open?id=0B0nwzlfiB4aQYU01UGdvb2U5Njg
Comment 4 Jiri Moskovcak 2012-09-21 02:53:16 EDT
(In reply to comment #3)
> 'abrt -vvv' not work for me.
> 
> Demonstration video:
> https://docs.google.com/open?id=0B0nwzlfiB4aQYU01UGdvb2U5Njg

It should be "abrt-gui -vvv"
Comment 5 Mikhail 2012-09-21 11:55:24 EDT
--- Running report_uReport ---
Locked './.lock'
Unlocked './.lock'
warning: 'uptime' is not an item in problem directory
warning: 'pkg_epoch' is not an item in problem directory
parse_release: version:'18' product:'Fedora'
post('https://retrace.fedoraproject.org/faf/reports/new/','{ "crash_thread": 0, "architecture": "i686", "reason": "BUG: sleeping function called from invalid context at kernel\/rwsem.c:20", "component": "kernel", "type": "KERNELOOPS", "installed_package": { }, "related_packages": [ ], "os": { "name": "Fedora", "version": "18" }, "core_backtrace": [ { "path": "vmlinux", "funcname": "copy_process.part.29", "buildid": "3.6.0-0.rc6.git0.2.fc18.i686.PAE", "offset": 1046, "frame": 0, "thread": 0 }, { "path": "vmlinux", "funcname": "might_sleep", "buildid": "3.6.0-0.rc6.git0.2.fc18.i686.PAE", "offset": 359, "frame": 1, "thread": 0 }, { "path": "vmlinux", "funcname": "down_read", "buildid": "3.6.0-0.rc6.git0.2.fc18.i686.PAE", "offset": 32, "frame": 2, "thread": 0 }, { "path": "vmlinux", "funcname": "validate_process_creds", "buildid": "3.6.0-0.rc6.git0.2.fc18.i686.PAE", "offset": 111, "frame": 3, "thread": 0 }, { "path": "vmlinux", "funcname": "exit_signals", "buildid": "3.6.0-0.rc6.git0.2.fc18.i686.PAE", "offset": 30, "frame": 4, "thread": 0 }, { "path": "vmlinux", "funcname": "do_exit", "buildid": "3.6.0-0.rc6.git0.2.fc18.i686.PAE", "offset": 159, "frame": 5, "thread": 0 }, { "path": "vmlinux", "funcname": "kmsg_dump", "buildid": "3.6.0-0.rc6.git0.2.fc18.i686.PAE", "offset": 33, "frame": 6, "thread": 0 } ], "reporter": { "name": "ABRT", "version": "2.0.13" } }')
curl: About to connect() to retrace.fedoraproject.org port 443 (#0)

curl:   Trying 209.132.181.28...

curl: connected

curl: Connected to retrace.fedoraproject.org (209.132.181.28) port 443 (#0)

curl: Initializing NSS with certpath: sql:/etc/pki/nssdb

curl:   CAfile: /etc/pki/tls/certs/ca-bundle.crt
  CApath: none

curl: SSL connection using TLS_RSA_WITH_AES_256_CBC_SHA

curl: Server certificate:

curl: 	subject: CN=retrace.fedoraproject.org,OU=Information Systems,O=Red Hat Inc,L=Raleigh,ST=North Carolina,C=US,serialNumber=yAPlxlxAIynmUPcu9oHHthu6M9HG0I1P

curl: 	start date: Mar 14 05:22:57 2012 GMT

curl: 	expire date: May 16 07:55:58 2014 GMT

curl: 	common name: retrace.fedoraproject.org

curl: 	issuer: CN=GeoTrust SSL CA,O="GeoTrust, Inc.",C=US

curl sent header: 'POST /faf/reports/new/ HTTP/1.1
Host: retrace.fedoraproject.org
Accept: application/json
Connection: close
User-Agent: ABRT/2.0.13
Content-Length: 1509
Expect: 100-continue
Content-Type: multipart/form-data; boundary=----------------------------906c4a2d232d

'
curl rcvd header: 'HTTP/1.1 100 Continue
'
curl sent data: '------------------------------906c4a2d232d
Content-Disposition: form-data; name="file"; filename="*buffer*"
Content-Type: application/json

{ "crash_thread": 0, "architecture": "i686", "reason": "BUG: sleeping function called from invalid context at kernel\/rwsem.c:20", "component": "kernel", "type": "KERNELOOPS", "installed_package": { }, "related_packages": [ ], "os": { "name": "Fedora", "version": "18" }, "core_backtrace": [ { "path": "vmlinux", "funcname": "copy_process.part.29", "buildid": "3.6.0-0.rc6.git0.2.fc18.i686.PAE", "offset": 1046, "frame": 0, "thread": 0 }, { "path": "vmlinux", "funcname": "might_sleep", "buildid": "3.6.0-0.rc6.git0.2.fc18.i686.PAE", "offset": 359, "frame": 1, "thread": 0 }, { "path": "vmlinux", "funcname": "down_read", "buildid": "3.6.0-0.rc6.git0.2.fc18.i686.PAE", "offset": 32, "frame": 2, "thread": 0 }, { "path": "vmlinux", "funcname": "validate_process_creds", "buildid": "3.6.0-0.rc6.git0.2.fc18.i686.PAE", "offset": 111, "frame": 3, "thread": 0 }, { "path": "vmlinux", "funcname": "exit_signals", "buildid": "3.6.0-0.rc6.git0.2.fc18.i686.PAE", "offset": 30, "frame": 4, "thread": 0 }, { "path": "vmlinux", "funcname": "do_exit", "buildid": "3.6.0-0.rc6.git0.2.fc18.i686.PAE", "offset": 159, "frame": 5, "thread": 0 }, { "path": "vmlinux", "funcname": "kmsg_dump", "buildid": "3.6.0-0.rc6.git0.2.fc18.i686.PAE", "offset": 33, "frame": 6, "thread": 0 } ], "reporter": { "name": "ABRT", "version": "2.0.13" } }
------------------------------906c4a2d232d--
'
curl rcvd header: 'HTTP/1.1 400 BAD REQUEST
'
curl rcvd header: 'Date: Fri, 21 Sep 2012 15:53:34 GMT
'
curl rcvd header: 'Server: Apache/2.2.15 (Red Hat)
'
curl rcvd header: 'Vary: Cookie
'
curl rcvd header: 'ProxyTime: D=217322
'
curl rcvd header: 'ProxyServer: retrace01.qa.fedoraproject.org
'
curl rcvd header: 'Content-Length: 105
'
curl rcvd header: 'Connection: close
'
curl rcvd header: 'Content-Type: application/json
'
curl rcvd header: '
'
curl rcvd data: '{"error": "Validation failed: error validating 'installed_package': missing mandatory element 'release'"}'
curl: Closing connection #0

after curl_easy_perform: http code 400 body:'{"error": "Validation failed: error validating 'installed_package': missing mandatory element 'release'"}'
Unexpected HTTP status code: 400
(exited with 1)
Comment 6 Richard Marko 2012-09-21 12:43:18 EDT
Already fixed in git.

commit 130dee46d601f3af6bb196d99a5c911335506adf
Author: Richard Marko <rmarko@redhat.com>
Date:   Fri Aug 10 16:47:01 2012 +0200

    Provide package data for kernel oops
    
    Required for reporter-ureport to work with kernel oopses.
    
    Signed-off-by: Richard Marko <rmarko@redhat.com>
Comment 7 Fedora Update System 2012-12-20 03:54:51 EST
abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18
Comment 8 Fedora Update System 2012-12-20 04:45:18 EST
abrt-2.0.20-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.20-1.fc17
Comment 9 Fedora Update System 2012-12-20 20:29:15 EST
Package abrt-2.0.20-1.fc18, btparser-0.24-1.fc18, libreport-2.0.20-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.20-1.fc18 btparser-0.24-1.fc18 libreport-2.0.20-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20725/abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-01-11 20:15:54 EST
abrt-2.0.20-1.fc18, btparser-0.24-1.fc18, libreport-2.0.20-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-02-25 21:37:54 EST
abrt-2.0.20-1.fc17, btparser-0.24-1.fc17, libreport-2.0.20-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.